# SubgoalXL: Subgoal-based Expert Learning for Theorem Proving

## Introduction

This repository contains the code and resources for our AI-powered theorem-proving project, designed to tackle complex formal proofs using language models.

## Data Resources

We provide curated datasets essential for initializing the expert learning phase. The full data preparation pipeline for generating these datasets is located in [data preparation](data_preparation/README.md).

## Training

We offer a comprehensive training pipeline for model development. Please refer to the [training pipeline](training/README.md) to get started.

## Inference

Our inference pipeline is designed for applying models to new proof tasks efficiently. Please refer to the [inference pipeline](inference/README.md) for instructions.

## Verification

To ensure the correctness of generated proofs, we provide a verification pipeline. Details can be found in the [verification pipeline](verification).

